## org.eclipse.ocl.ecore
Interface Variable

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, ETypedElement, Notifier, TypedASTNode, TypedElement<EClassifier>, Variable<EClassifier,EParameter>, Visitable

    public interface Variable

extends ETypedElement, Variable<EClassifier,EParameter>

A representation of the model object 'Variable'.

See Also:
  `EcorePackage.getVariable()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.ocl.expressions.Variable
`checkInitType, getInitExpression, getRepresentedParameter, setInitExpression, setRepresentedParameter`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.